package cpcns.shenpiyushe.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.resource.ContextHolder;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.service.ICommonService;
import cpcns.jhsks.yonghuguanli.facade.IJiGouRenYuanShuFacade;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.shenpiyushe.model.DShenPiYuShe;
import cpcns.shenpiyushe.service.IDShenPiYuSheService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.StringUtil;
import java.io.IOException;
import java.util.Date;
import java.util.Enumeration;
import java.util.Iterator;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/dShenPiYuShe"})
public class DShenPiYuSheController extends commonController {
  @Autowired
  private IDShenPiYuSheService dShenPiYuSheService;
  
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IJiGouRenYuanShuFacade jiGouRenYuanFacadeRMIService;
  
  @RequestMapping({"/query.do"})
  public String execute(HttpServletRequest request) throws Exception {
    return "shenpiyushe/ShenPiYuSheList";
  }
  
  @RequestMapping({"/load.do"})
  @ResponseBody
  public String load(HttpServletRequest request, HttpServletResponse response) {
    String data = "";
    if (this.hangBiaoShi != null && this.hangBiaoShi.intValue() > 0)
      data = JsonWithJacksonUtils.getInstance().obj2Json(this.obj); 
    return data;
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    if (hangBiaoShi != null && !hangBiaoShi.equals("")) {
      DShenPiYuShe spys = (DShenPiYuShe)this.dShenPiYuSheService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      getRequest().setAttribute("DShenPiYuShe", spys);
    } 
    return "shenpiyushe/ShenPiYuShe_edit";
  }
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    String localName = request.getContextPath();
    if (localName != null && localName.indexOf("CPCNS07_GuanCangFuWuGuanLi") > 0)
      ContextHolder.setCustomerType("CPCNS_DA_GDXT"); 
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    StringBuffer sqlWhere = new StringBuffer();
    Iterator<String> iterator = jsonObject.keys();
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key)) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= " + "to_date('" + value + "'," + "'yyyy-mm-dd')");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " =< " + "to_date('" + value + "'," + "'yyyy-mm-dd')");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (!key.contains("like")) {
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value.trim() + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
        } 
      } 
    } 
    String page = request.getParameter("page");
    String rows = request.getParameter("rows");
    int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
    int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
    int start = (intPage - 1) * number;
    PagerVO pagevo = this.dShenPiYuSheService.getAll(start, number, sqlWhere.toString(), CommStatic.getOrderBy(request, "hangBiaoShi"));
    String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    jsonString = StringUtil.replaceEntity(jsonString, DShenPiYuShe.class);
    write(response, jsonString);
    return null;
  }
  
  @RequestMapping({"getDanWeiName.do"})
  @ResponseBody
  public String getDanWeiName(HttpServletRequest request) {
    String danWeiMingCheng = "";
    String buMenBiaoShi = request.getParameter("buMenBiaoShi");
    String json = "";
    if (StringUtils.isNotBlank(buMenBiaoShi)) {
      JiGouFenLei jg = this.jiGouRenYuanFacadeRMIService.getJiGouFenLeiByJieDianBiaoShi(Integer.parseInt(buMenBiaoShi));
      danWeiMingCheng = jg.getMingCheng();
    } 
    return danWeiMingCheng;
  }
  
  @RequestMapping({"/save.do"})
  @ResponseBody
  public void save(HttpServletRequest request, HttpServletResponse response) throws Exception {
    ResultMessage rm = new ResultMessage();
    String info = "";
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    DShenPiYuShe t = (DShenPiYuShe)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), DShenPiYuShe.class);
    if (t.getHangBiaoShi() == null || t.getHangBiaoShi().equals(""))
      t.setHangBiaoShi(Integer.valueOf(this.dShenPiYuSheService.getPk())); 
    try {
      User user = getCurrentUser();
      t.setChuangJianRen(user.getMingCheng());
      t.setChuangJianRenBiaoShi(user.getBiaoShi());
      t.setChuangJianRiQi(new Date());
      t.setShanChuBiaoShi(Integer.valueOf(1));
      this.dShenPiYuSheService.addinfo(t);
      rm.setSuccess(true);
      info = "保存成功！";
    } catch (Exception e) {
      e.printStackTrace();
      info = "保存失败！";
      rm.setSuccess(false);
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/delete.do"})
  @ResponseBody
  public void remove(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String ids = request.getParameter("hangBiaoShi");
    if (StringUtils.isNotBlank(ids)) {
      String info = "";
      try {
        this.dShenPiYuSheService.deleteInfo(ids);
        rm.setSuccess(true);
        info = "删除成功！";
        User user = getLoginUser(request);
      } catch (Exception e) {
        e.printStackTrace();
        rm.setSuccess(false);
        info = "删除失败！";
      } 
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
      responseWriter(response, rm.toString());
    } 
    rm.setSuccess(false);
    rm.setInfo("删除失败，选择的记录无效！");
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) throws Exception {
    DShenPiYuShe spys = new DShenPiYuShe();
    getRequest().setAttribute("DShenPiYuShe", spys);
    return "shenpiyushe/ShenPiYuShe_edit";
  }
}
